com.here.msdkui.guidance

## Class GuidanceEstimatedArrivalViewData

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceEstimatedArrivalViewData

- All Implemented Interfaces:
    android.os.Parcelable

      public class GuidanceEstimatedArrivalViewData
      extends java.lang.Object
      implements android.os.Parcelable

  A data class holding information related to Estimated Arrival Time (ETA). It consists of ETA date, distance to destination and remaining travel time. Use `GuidanceEstimatedArrivalViewPresenter` to get notified on new instances of this class during guidance.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceEstimatedArrivalViewData>` | `CREATOR`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `GuidanceEstimatedArrivalViewData(java.util.Date etaDate, java.lang.Long distance, java.lang.Integer duration)` Constructs a new instance using the provided icon and info strings.
    `protected` | `GuidanceEstimatedArrivalViewData(android.os.Parcel in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `boolean` | `equals(java.lang.Object obj1)`
    `java.lang.Long` | `getDistance()` Gets the distance to the destination.
    `java.lang.Integer` | `getDuration()` Gets the remaining duration of the travel.
    `java.util.Date` | `getEta()` Gets the estimated time of arrival at the destination.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceEstimatedArrivalViewData> CREATOR

  - ### Constructor Detail

    - #### GuidanceEstimatedArrivalViewData

          public GuidanceEstimatedArrivalViewData(java.util.Date etaDate,
                                                  java.lang.Long distance,
                                                  java.lang.Integer duration)

      Constructs a new instance using the provided icon and info strings.
      Parameters:
        `etaDate` - estimated time of arrival.
        `distance` - distance to the destination.
        `duration` - remaining duration of the travel.

    - #### GuidanceEstimatedArrivalViewData

          protected GuidanceEstimatedArrivalViewData(android.os.Parcel in)

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### getEta

          public java.util.Date getEta()

      Gets the estimated time of arrival at the destination.
      Returns:
        estimated time of arrival.

    - #### getDistance

          public java.lang.Long getDistance()

      Gets the distance to the destination.
      Returns:
        a distance in meters.

    - #### getDuration

          public java.lang.Integer getDuration()

      Gets the remaining duration of the travel.
      Returns:
        remaining travel time in milliseconds.

    - #### toString

          @NonNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj1)

      Overrides:
        `equals` in class `java.lang.Object`